<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>78414</bug_id>
          
          <creation_ts>2005-01-17 13:12 0000</creation_ts>
          <short_desc>Several fixes to dev-db/hsqldb-1.7.2.4 ebuild</short_desc>
          <delta_ts>2005-01-18 08:48:01 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Applications</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>k8n@tut.by</reporter>
          <assigned_to>java@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>k8n@tut.by</who>
            <bug_when>2005-01-17 13:12:44 0000</bug_when>
            <thetext>Whe I try to emerge hsqldb I gen &quot;Can not find package servletapi-2.3&quot; error and compilation fails.
It seems that it is related to wrong servletapi dependency.

One more issue - typo in shell for hsqldb user. It should be /dev/null, not /dev/hull.

This small patch fixes described issues:
--- /usr/portage/dev-db/hsqldb/hsqldb-1.7.2.4.ebuild    2005-01-01 19:36:29.000000000 +0200
+++ hsqldb-1.7.2.4.ebuild       2005-01-17 23:04:08.000000000 +0200
@@ -14,7 +14,7 @@
 DEPEND=&quot;&gt;=virtual/jdk-1.4
                app-arch/unzip
                dev-java/ant-core
-               =dev-java/servletapi-2.4*&quot;
+               =dev-java/servletapi-2.3*&quot;
 RDEPEND=&quot;&gt;=virtual/jre-1.4&quot;

 S=${WORKDIR}/${PN}
@@ -76,7 +76,7 @@
 }

 pkg_postinst() {
-       if ! enewgroup hsqldb || ! enewuser hsqldb -1 /bin/sh /dev/hull hsqldb; then
+       if ! enewgroup hsqldb || ! enewuser hsqldb -1 /bin/sh /dev/null hsqldb; then
                die &quot;Unable to add hsqldb user and hsqldb group.&quot;
        fi


Reproducible: Always
Steps to Reproduce:
1.
2.
3.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>luckyduck@gentoo.org</who>
            <bug_when>2005-01-18 08:48:01 0000</bug_when>
            <thetext>thanks for you report, changes commited.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>